<?php
/**
 * Copyright 2004-2005 Cronosys, LLC <http://www.cronosys.com/>
 *
 * See the enclosed file LICENSE for license information (BSD). If you did not
 * receive this file, see http://cvs.horde.org/co.php/vilma/LICENSE.
 *
 * $Horde: vilma/lib/MailboxDriver/maildrop.php,v 1.4 2005/01/03 14:35:42 jan Exp $
 *
 * @author  Jason M. Felice <jfelice@cronosys.com>
 * @version $Revision: 1.4 $
 * @package Vilma
 */
class MailboxDriver_maildrop extends MailboxDriver {

    function _getMailboxDir($user, $domain)
    {
        if (empty($this->_params['mail_dir_base'])) {
            require_once 'PEAR.php';
            return PEAR::raiseError(_("No 'mail_dir_base' parameter specified to maildrop driver."));
        }
        $dir = $this->_params['mail_dir_base'];
        $usedomain = false;
        if (isset($this->_params['usedomain'])) {
            $usedomain = $this->_params['usedomain'];
        }
        if ($usedomain) {
            $dir .= '/' . $domain; 
        }
        $dir .= '/' . $user;
        return $dir;
    }

    function checkMailbox($user, $domain)
    {
        static $exists;

        $dir = $this->_getMailboxDir($user, $domain);
        if (is_a($dir, 'PEAR_Error')) {
            return $dir;
        }

        if (!isset($exists[$dir])) {
            $exists[$dir] = is_dir($dir);
        }

        if (!$exists[$dir]) {
            require_once 'PEAR.php';
            return PEAR::raiseError(sprintf(_("Maildrop directory '%s' does not exist."), $dir));
        }

        return true;
    }

    function createMailbox($user, $domain)
    {
        $dir = $this->_getMailboxDir($user, $domain);
        if (is_a($dir, 'PEAR_Error')) {
            return $dir;
        }

        if (empty($this->_params['system_user'])) {
            require_once 'PEAR.php';
            return PEAR::raiseError(_("No 'system_user' parameter specified to maildrop driver."));
        }

        $create_function = sprintf('sudo -u %s maildirmake %s',
                                   escapeshellarg($this->_params['system_user']),
                                   escapeshellarg($dir));
        exec($create_function);
        return true;
    }

    function deleteMailboxes($user, $domain)
    {
        // XXX: Implement
        return true;
    }

}
