<?php
/**
 * $Horde: vilma/users/delete.php,v 1.12 2005/01/03 14:35:42 jan Exp $
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file LICENSE for license information (BSD). If you did not
 * receive this file, see http://cvs.horde.org/co.php/vilma/LICENSE.
 */

@define('VILMA_BASE', dirname(__FILE__) . '/..');
require_once VILMA_BASE . '/lib/base.php';
require_once 'Horde/Form.php';
require_once 'Horde/Variables.php';

/* Only admin should be using this. */
if (!Auth::isAdmin() && !Vilma::isDomainAdmin()) {
    Horde::authenticationFailureRedirect();
}

$vars = &Variables::getDefaultVariables();
$domain = Vilma::getDomain();
$user_id = $vars->get('user_id');
$formname = $vars->get('formname');

$user = $vilma->getUser($user_id);
$domain = Vilma::stripDomain($user['user_name']);
$domain = $vilma->getDomainByName($domain);

$form = &Horde_Form::singleton('', $vars, _("Delete User"));

/* Set up the form. */
$form->setButtons(array(_("Delete"), _("Do not delete")));
$form->addHidden('', 'user_id', 'text', false);
$form->addVariable(sprintf(_("Delete user '%s' and all associated virtual email addresses?"), $user['user_name']), 'description', 'description', false);

if ($vars->get('submitbutton') == _("Delete")) {
    if ($form->validate($vars)) {
        $form->getInfo($vars, $info);
        $delete = $vilma->deleteUser($info['user_id']);
        if (is_a($delete, 'PEAR_Error')) {
            Horde::logMessage($delete, __FILE__, __LINE__, PEAR_LOG_ERR);
            $notification->push(sprintf(_("Error deleting user. %s."), $delete->getMessage()), 'horde.error');
        } else {
            $notification->push(_("User deleted."), 'horde.success');
            $url = Util::addParameter(Horde::applicationUrl('users/index.php'), 'domain_id', $domain['domain_id']);
            header('Location: ' . $url);
            exit;
        }
    }
} elseif ($vars->get('submitbutton') == _("Do not delete")) {
    $notification->push(_("User not deleted."), 'horde.message');
    $url = Util::addParameter(Horde::applicationUrl('users/index.php'), 'domain_id', $domain['domain_id']);
    header('Location: ' . $url);
    exit;
}

/* Render the form. */
require_once 'Horde/Form/Renderer.php';
$renderer = &new Horde_Form_Renderer();
$main = Util::bufferOutput(array($form, 'renderActive'), $renderer, $vars, 'delete.php', 'post');

$template->set('main', $main);
$template->set('menu', Vilma::getMenu('string'));
$template->set('notify', Util::bufferOutput(array($notification, 'notify'), array('listeners' => 'status')));

require VILMA_TEMPLATES . '/common-header.inc';
echo $template->fetch(VILMA_TEMPLATES . '/main/main.html');
require $registry->get('templates', 'horde') . '/common-footer.inc';
