<?php
/**
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file LICENSE for license information (BSD). If you did not
 * receive this file, see http://cvs.horde.org/co.php/vilma/LICENSE.
 *
 * $Horde: vilma/virtuals/index.php,v 1.16 2005/01/03 14:35:43 jan Exp $
 */

@define('VILMA_BASE', dirname(__FILE__) . '/..');
require_once VILMA_BASE . '/lib/base.php';

/* Only admin should be using this. */
if (!Auth::isAdmin() && !Vilma::isDomainAdmin()) {
    Horde::authenticationFailureRedirect();
}

$user = Util::getFormData('user');
if (!empty($user)) {
    $virtuals = $vilma->getVirtuals($user);
    $domain = Vilma::stripDomain($user);
} else {
    $domain = Vilma::getDomain();
    $virtuals = $vilma->getVirtuals($domain);
}

foreach ($virtuals as $id => $virtual) {
    $url = Horde::applicationUrl('virtuals/edit.php');
    $virtuals[$id]['edit_url'] = Util::addParameter($url, 'virtual_id', $virtual['virtual_id']);
    $url = Horde::applicationUrl('virtuals/delete.php');
    $virtuals[$id]['del_url'] = Util::addParameter($url, 'virtual_id', $virtual['virtual_id']);
}

$template->set('virtuals', $virtuals, true);

/* Set up the template action links. */
$actions = array();
$url = Horde::applicationUrl('virtuals/edit.php');
$actions['new_url'] = (Vilma::isDomainAdmin() ? $url : Util::addParameter($url, 'domain', $domain));
$actions['new_text'] = _("New Virtual Email");
$url = Horde::applicationUrl('users/index.php');
$actions['users_url'] = (Vilma::isDomainAdmin() ? $url : Util::addParameter($url, 'domain', $domain));
$actions['users_text'] = _("Users");
$template->set('actions', $actions);

/* Set up the field list. */
$images = array('delete' => Horde::img('delete.png', _("Delete User"), '', $registry->getImageDir('horde')),
                'edit' => Horde::img('edit.png', _("Edit User"), '', $registry->getImageDir('horde')));
$template->set('images', $images);

$template->set('menu', Vilma::getMenu('string'));
$template->set('notify', Util::bufferOutput(array($notification, 'notify'), array('listeners' => 'status')));

/* Render the page. */
require VILMA_TEMPLATES . '/common-header.inc';
echo $template->fetch(VILMA_TEMPLATES . '/virtuals/index.html');
require $registry->get('templates', 'horde') . '/common-footer.inc';
